* {
    padding: 0px;
    margin: 0px;
}

.mlist a {
    display: block;
    font-size: 22px;
    padding: 5px 7px 4px;
    border-bottom: 2px solid #00189f;
    color: #1a237e;
    text-shadow: 1px 1px #d9d9d9;
    text-decoration: none;
    text-align: center;
    font-weight: bold;
}

.mlist a:last-child {
    border-bottom: none;
}

body {
    color: #000;
    background-color: #ffcb99;
    font-size: 1em;
    font-weight: 400;
    line-height: 1.5;
    font-family: BlinkMacSystemFont, -apple-system, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.container {
    width: 98%;
    margin: auto;
}

.game_list:last-child {
    border-bottom: none;
}

.news {
    margin: 5px 1em;
}

.table {
    border-collapse: collapse;
    width: 100%;
}

.jodi .table td,
.jodi .table th {
    border: 1px solid #9ea08d;
    padding: 8px;
    text-align: center;
    font-size: 1.2em;
    font-weight: 600;
}

.red {
    color: red;
}

.button2 {
    background-color: #a0d5ff;
    color: #220c82;
    padding: 10px 30px;
    font-size: 14px;
    margin: 10px auto;
    border: 2px solid #0000005c;
    font-weight: 800;
    text-decoration: none;
    text-shadow: 1px 1px #00bcd4;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, .2), 0 6px 8px 0 rgba(0, 0, 0, .19);
    display: block;
    transition: all .3s;
    width: 120px;
    text-align: center;
}

.table th {
    padding: 1px;
    background-color: #fec107;
    color: #000;
}

.text-center,
.number {
    text-align: center;
}

.text-left {
    text-align: left;
}

.fs-3 {
    font-size: 25px;
    font-weight: bold;
}

.fs-5 {
    font-size: 20px;
}

.small {
    font-size: 13px;
    display: flex;
    gap: 10px;
}

.date {
    width: 45px;
    background-color: #673de5;
    color: #fff;
}

#goToTopBtn {
    color: #fff;
    cursor: pointer;
    width: 40px;
    background: #222;
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 99;
    height: 40px;
    border: 2px solid #d8d5e2;
    border-radius: 50%;
}

#goToTopBtn:hover {
    background-color: #131d3a;
}

.refresh {
    color: #fff;
    cursor: pointer;
    background: #f47721;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 99;
    border: 1px solid #f85a40;
    border-radius: 5px;
    padding: 5px 10px;
}

footer {
    padding: 1em;
    background-color: #000;
    color: #fff;
}

.pagelinks {
    display: flex;
    align-items: center;
    gap: 5px 1em;
    flex-wrap: wrap;
    margin-block: 1em;
}

.pagelinks a {
    color: #fff;
    text-decoration: none;
    padding: 5px 10px;
    border-radius: 5px;
    background-color: #2a195f;
    border: 1px solid #202020;
}

.pagelink {
    background-color: #673de5 !important;
}

.pagelinks a:hover {
    background-color: #e1306c;
}

.social {
    margin-block: 10px;
    display: flex;
    align-items: center;
    gap: 1em;
}

.social_link {
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 5px;
}

.twitter {
    background-color: #505050;
}

.facebook {
    background-color: #1877f2;
}

.youtube {
    background-color: #ff0000;
}

.instagram {
    background-color: #e1306c;
}

.social_link:hover {
    transform: scale(1.1);
}

.iamflex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.copyrights {
    border-top: 1px solid #222;
    margin-top: 10px;
    padding-top: 10px;
}

.day {
    font-weight: bold;
}

.rc {
    text-decoration: none;
    color: #a51890;
    font-weight: bold;
}

.thmain {
    width: 70%;
}

.navbar-brand {
    background-color: #000;
    padding: 10px;
    display: block;
}

.heading {
    background-color: #ff00a2;
    padding: 10px;
    color: #fff;
    font-weight: 500;
    font-size: 1.2em;
    text-align: center;
    border-radius: 10px;
    border: 1px solid #fff;
}

.content {
    padding: 1em;
}

.content table {
    border-collapse: collapse;
    width: 100%;
}

.content table td,
.content table th {
    border: 1px solid #ddd;
    padding: 8px;
}

.content table tr:nth-child(odd) {
    background-color: #fff;
}

.content table tr:nth-child(even) {
    background-color: #f5f5f5;
}

.content table th {
    padding-top: 12px;
    padding-bottom: 12px;
    background-color: #222;
    color: white;
}

.blogcontainer {
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 10px;
    place-items: center;
    background-color: #fff;
    border-radius: 12px;
    padding: 1em;
    margin-block: 1em;
}

.blog_list,
.post_list {
    text-decoration: none;
    color: #000;
}

.blog_post div {
    font-size: 1.1em;
    font-weight: bold;
}

.blog_img img {
    aspect-ratio: 16/9;
    object-fit: cover;
    width: 100%;
    border-radius: 5px;
}

.rounded {
    aspect-ratio: 16/9;
    object-fit: cover;
    border-radius: 5px;
}

.blogsidebar {
    display: flex;
    align-items: center;
    gap: 10px;
    background-color: #fff;
    border-radius: 5px;
    padding: 0.5em;
    margin-block: 1em;
}

.content h2,
.content h3,
.content h4,
.content h5 {
    margin-top: 1em;
}

.content li {
    margin-bottom: 10px;
}

.content ul,
.content ol {
    list-style-position: inside;
    margin-block: 1em;
}

.d-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    flex-wrap: wrap;
    margin-bottom: 1em;
}

.yesflex {
    display: flex;
    align-items: center;
    gap: 10px;
}

.page_404 {
    max-width: 500px;
    margin: auto;
}

input[type="month"] {
    padding: 8px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: border-color 0.3s ease;
}

input[type="month"]:focus {
    border-color: #007bff;
    outline: none;
}

input[type="month"]:hover {
    border-color: #0056b3;
}

.oldResult {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    background-color: #dbebfa;
    padding: 10px;
}

.cmbtn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    margin-block: 1em;
}

.cmbtn a {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px 1%;
    background-color: #673de5;
    padding: 10px;
    border-radius: 5px;
    text-decoration: none;
    color: #fff;
    width: 200px;
}

.updated {
    padding: 1em;
    background-color: #dbebfa;
}

.group-result {
    background-color: #ffcb99;
    border: 2px solid #ac2c19;
    border-radius: 10px;
    margin-block: 0.5em;
}

.game_list {
    text-align: center;
    padding: 5px 0.5em;
    border-bottom: 2px solid #ac2c19;
}

.game_list a {
    background-color: #512f90;
    color: #fff;
    border-radius: 8px;
    text-decoration: none;
    padding: 3px 10px;
    border: 1px solid #fff;
}

.game_flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.game_name {
    font-size: 1.5em;
    font-weight: bold;
    color: #020843;
}

.game_number {
    font-size: 1.3em;
    font-weight: bold;
    color: #82153a;
}

.game_time {
    font-size: 0.9em;
    font-weight: bold;
    color: green;
}

.table-container {
    overflow-x: auto;
    margin: 1em auto;
    max-width: 90%;
}

.live-result {
    display: flex;
    align-items: center;
    background-color: #000;
    max-width: fit-content;
    border-radius: 10px;
    justify-content: center;
    padding: 1px 10px;
    margin: auto;
}

.circle {
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: red;
    border-radius: 50%;
    margin-right: 3px;
    animation: blink 0.8s infinite;
    /* Blink animation */
}

.result-text {
    color: #fff;
    font-weight: bold;
}

/* Blinking animation */

@keyframes blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.panel .table td {
    padding: 8px;
    text-align: center;
    font-size: 1.2em;
    font-weight: 600;
    border-bottom: 1px solid black;
    border-top: 1px solid black;
}

.panel .table th {
    border: 1px solid black;
}

.panel .table td:nth-child(1) {
    border-left: 1px solid black;
    border-right: 1px solid black;
}

.panel .table td:nth-child(4),
.panel .table td:nth-child(7),
.panel .table td:nth-child(10),
.panel .table td:nth-child(13),
.panel .table td:nth-child(16),
.panel .table td:nth-child(19),
.panel .table td:nth-child(22),
.panel .table td:nth-child(25),
.panel .table td:nth-child(28) {
    font-size: 13px;
    border-left-width: 0;
    border-right: 1px solid black;
}

.panel .table td:nth-child(2),
.panel .table td:nth-child(5),
.panel .table td:nth-child(8),
.panel .table td:nth-child(11),
.panel .table td:nth-child(14),
.panel .table td:nth-child(17),
.panel .table td:nth-child(20),
.panel .table td:nth-child(23) {
    font-size: 13px;
    border-left: 1px solid black;
}

.panel .table td:nth-child(3),
.panel .table td:nth-child(6),
.panel .table td:nth-child(9),
.panel .table td:nth-child(12),
.panel .table td:nth-child(15),
.panel .table td:nth-child(18),
.panel .table td:nth-child(21),
.panel .table td:nth-child(24),
.panel .table td:nth-child(27) {
    font-size: 30px;
    font-weight: bold;
}

.is7030 {
    display: grid;
    grid-template-columns: 70% 30%;
    gap: 10px;
    margin-block: 1em;
}

.highlight {
    background-color: #ff0;
}

@media only screen and (max-width: 768px) {
    .cmbtn a {
        width: 45%;
    }
    .thmain {
        width: 55%;
    }
    .blogcontainer {
        grid-template-columns: 100%;
    }
    .heading {
        font-size: 0.9em;
    }
    h1 {
        font-size: 1.2em;
        padding: 1em;
    }
    .jodi .table th {
        font-weight: 500;
        font-size: 13px;
    }
    .jodi .table td {
        font-weight: 700;
        font-size: 20px;
        padding: 2px;
    }
    .panel .table td,
    .panel .table th {
        font-weight: 500;
        font-size: 11px;
        padding: 1px;
    }
    .table-container {
        overflow-x: auto;
        margin: 1em auto;
        max-width: 100%;
    }
    .panel .table td:nth-child(1) {
        font-size: 9px;
    }
    .panel .table td:nth-child(4),
    .panel .table td:nth-child(7),
    .panel .table td:nth-child(10),
    .panel .table td:nth-child(13),
    .panel .table td:nth-child(16),
    .panel .table td:nth-child(19),
    .panel .table td:nth-child(22),
    .panel .table td:nth-child(25),
    .panel .table td:nth-child(28) {
        font-size: 10px;
        border-left-width: 0;
        border-right: 1px solid black;
    }
    .panel .table td:nth-child(2),
    .panel .table td:nth-child(5),
    .panel .table td:nth-child(8),
    .panel .table td:nth-child(11),
    .panel .table td:nth-child(14),
    .panel .table td:nth-child(17),
    .panel .table td:nth-child(20),
    .panel .table td:nth-child(23) {
        font-size: 10px;
        border-left: 1px solid black;
    }
    .panel .table td:nth-child(3),
    .panel .table td:nth-child(6),
    .panel .table td:nth-child(9),
    .panel .table td:nth-child(12),
    .panel .table td:nth-child(15),
    .panel .table td:nth-child(18),
    .panel .table td:nth-child(21),
    .panel .table td:nth-child(24),
    .panel .table td:nth-child(27) {
        font-size: 15px;
        font-weight: bold;
    }
    .is7030,
    .is3070 {
        grid-template-columns: 100%;
    }
}